=== src/base/media/CMakeLists.txt ===
add_subdirectory(materials)
