=== debian/changelog ===
ignition-rendering6 (6.1.0-1~buster) buster; urgency=medium

  * ignition-rendering6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Dec 2021 09:25:35 -0800

ignition-rendering6 (6.0.1-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 01 Oct 2021 10:30:30 -0700

ignition-rendering6 (6.0.0-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Sep 2021 15:19:41 -0700

ignition-rendering6 (6.0.0~pre2-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 02:34:43 -0700

ignition-rendering6 (6.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-rendering6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 Sep 2021 21:47:58 -0700

ignition-rendering6 (5.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:55 -0700
