=== debian/changelog ===
ignition-rendering6 (6.5.1-2~focal) focal; urgency=medium

  * ignition-rendering6 6.5.1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 19:45:48 -0700

ignition-rendering6 (6.5.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.5.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 28 Jul 2022 09:50:43 -0700

ignition-rendering6 (6.5.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 15 Jun 2022 11:04:11 -0700

ignition-rendering6 (6.4.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.4.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 12 May 2022 14:26:39 -0700

ignition-rendering6 (6.3.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.3.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Apr 2022 01:44:00 +0200

ignition-rendering6 (6.3.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.3.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Wed, 06 Apr 2022 14:59:47 -0700

ignition-rendering6 (6.2.2~pre2-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.2~pre2-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 18:35:03 +0200

ignition-rendering6 (6.2.2~pre1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.2~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 17:15:01 +0200

ignition-rendering6 (6.2.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 24 Feb 2022 09:53:44 -0800

ignition-rendering6 (6.2.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 28 Jan 2022 16:05:13 -0800

ignition-rendering6 (6.2.0~pre1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.2.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 26 Jan 2022 14:34:27 -0800

ignition-rendering6 (6.1.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Dec 2021 09:25:35 -0800

ignition-rendering6 (6.0.1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 01 Oct 2021 10:30:30 -0700

ignition-rendering6 (6.0.0-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Sep 2021 15:19:41 -0700

ignition-rendering6 (6.0.0~pre2-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 02:34:43 -0700

ignition-rendering6 (6.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-rendering6 6.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 Sep 2021 21:47:57 -0700

ignition-rendering6 (5.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:26:55 -0700
