=== debian/changelog ===
ignition-rendering6 (6.6.1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.6.1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 01 Sep 2023 15:44:27 -0500

ignition-rendering6 (6.6.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.6.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 02 Feb 2023 12:21:38 -0800

ignition-rendering6 (6.5.2-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.2-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 19 Jan 2023 11:59:12 -0800

ignition-rendering6 (6.5.1-2~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 19:45:48 -0700

ignition-rendering6 (6.5.1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.1-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 28 Jul 2022 09:50:43 -0700

ignition-rendering6 (6.5.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 15 Jun 2022 11:04:11 -0700

ignition-rendering6 (6.4.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.4.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 12 May 2022 14:26:39 -0700

ignition-rendering6 (6.3.1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.3.1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Apr 2022 01:43:59 +0200

ignition-rendering6 (6.3.0-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.3.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Wed, 06 Apr 2022 14:59:47 -0700

ignition-rendering6 (6.2.2~pre2-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.2.2~pre2-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 18:35:03 +0200

ignition-rendering6 (6.2.2~pre1-1~jammy) jammy; urgency=medium

  * ignition-rendering6 6.2.2~pre1-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 17:15:01 +0200

ignition-rendering6 (6.2.1+osrf-1~jammy) jammy; urgency=medium

  * First release for jammy

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 Mar 2022 20:35:24 +0100
